Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.cmp
Class CAKeyUpdAnnContent

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cmp.CAKeyUpdAnnContent

All Implemented Interfaces:
  DEREncodable

    public class CAKeyUpdAnnContent

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`static CAKeyUpdAnnContent` `getInstance(java.lang.Object o)`
`CMPCertificate` `getNewWithNew()`
`CMPCertificate` `getNewWithOld()`
`CMPCertificate` `getOldWithNew()`
`DERObject` `toASN1Object()` CAKeyUpdAnnContent ::= SEQUENCE { oldWithNew CMPCertificate, -- old pub signed with new priv newWithOld CMPCertificate, -- new pub signed with old priv newWithNew CMPCertificate -- new pub signed with new priv }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static CAKeyUpdAnnContent getInstance(java.lang.Object o)

### getOldWithNew

    public CMPCertificate getOldWithNew()

### getNewWithOld

    public CMPCertificate getNewWithOld()

### getNewWithNew

    public CMPCertificate getNewWithNew()

### toASN1Object

    public DERObject toASN1Object()

       CAKeyUpdAnnContent ::= SEQUENCE {
                                   oldWithNew   CMPCertificate, -- old pub signed with new priv
                                   newWithOld   CMPCertificate, -- new pub signed with old priv
                                   newWithNew   CMPCertificate  -- new pub signed with new priv
        }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Bouncy Castle Cryptography Library 1.45